@base <https://purl.org/coscine/ap/sfb1394/AtomisticSimulation/> .

@prefix dash: <http://datashapes.org/dash#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix csmd: <http://www.purl.org/net/CSMD/4.0#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix sfb1394: <http://purl.org/coscine/terms/sfb1394#> .
@prefix coscineSfb1394AtomisticSimulation: <https://purl.org/coscine/ap/sfb1394/AtomisticSimulation#> .

 # AtomisticSimulation 
<https://purl.org/coscine/ap/sfb1394/AtomisticSimulation/>
  dcterms:license <http://spdx.org/licenses/MIT> ;
  dcterms:publisher <https://itc.rwth-aachen.de/> ;
  dcterms:rights "Copyright © 2020 IT Center, RWTH Aachen University" ;
  dcterms:title "SFB1394 AtomisticSimulation"@en ;

  a sh:NodeShape ;
  sh:targetClass <https://purl.org/coscine/ap/sfb1394/AtomisticSimulation/> ;
  sh:closed true ;

  sh:property [
    sh:path rdf:type ;
  ] ;

  sh:property coscineSfb1394AtomisticSimulation:ID ;
  sh:property coscineSfb1394AtomisticSimulation:aliasID ;
  sh:property coscineSfb1394AtomisticSimulation:user ;
  sh:property coscineSfb1394AtomisticSimulation:date ;
  sh:property coscineSfb1394AtomisticSimulation:affiliation ;
  sh:property coscineSfb1394AtomisticSimulation:dois ;
  sh:property coscineSfb1394AtomisticSimulation:status ;
  sh:property coscineSfb1394AtomisticSimulation:lastStatusUpdate ;
  sh:property coscineSfb1394AtomisticSimulation:softwareIds ;
  sh:property coscineSfb1394AtomisticSimulation:softwareEnvironmentId ;
  sh:property coscineSfb1394AtomisticSimulation:sampleId ;
  sh:property coscineSfb1394AtomisticSimulation:simulationType ;
  sh:property coscineSfb1394AtomisticSimulation:jobSubmissionCommands ;
  sh:property coscineSfb1394AtomisticSimulation:computerName ;
  sh:property coscineSfb1394AtomisticSimulation:node ;
  sh:property coscineSfb1394AtomisticSimulation:cpuInfo ;
  sh:property coscineSfb1394AtomisticSimulation:gpuInfo ;
  sh:property coscineSfb1394AtomisticSimulation:cores ;
  sh:property coscineSfb1394AtomisticSimulation:requiredRam ;
  sh:property coscineSfb1394AtomisticSimulation:runtime ;
  sh:property coscineSfb1394AtomisticSimulation:submissionTime ;
  sh:property coscineSfb1394AtomisticSimulation:stopTime ;
  sh:property coscineSfb1394AtomisticSimulation:comments ;
.

coscineSfb1394AtomisticSimulation:ID 
  sh:path dcterms:identifier ;
  sh:order 0 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:name "ID"@en, "ID"@de ;
. 

coscineSfb1394AtomisticSimulation:aliasID 
  sh:path sfb1394:aliasID ;
  sh:order 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "External/alias ID"@en, "External/alias ID"@de ;
. 

coscineSfb1394AtomisticSimulation:user 
  sh:path dcterms:creator ;
  sh:order 2 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:minLength 1 ;
  sh:datatype xsd:string ;
  sh:defaultValue "{ME}" ;
  sh:name "User"@en, "User"@de ;
. 

coscineSfb1394AtomisticSimulation:date 
  sh:path dcterms:created ;
  sh:order 3 ;
  sh:minCount 1 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:defaultValue "{TODAY}" ;
  sh:name "Date"@en, "Date"@de ;
. 

coscineSfb1394AtomisticSimulation:affiliation 
  sh:path sfb1394:affiliation ;
  sh:order 4 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Affiliation"@en, "Affiliation"@de ;
. 

coscineSfb1394AtomisticSimulation:dois 
  sh:path dcterms:isReferencedBy ;
  sh:order 5 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "DOIs"@en, "DOIs"@de ;
. 

coscineSfb1394AtomisticSimulation:status 
  sh:path sfb1394:status ;
  sh:order 6 ;
  sh:maxCount 1 ;
  sh:name "Status"@en, "Status"@de ;
  sh:class <http://purl.org/coscine/vocabularies/sfb1394/Status> ; 
. 

coscineSfb1394AtomisticSimulation:lastStatusUpdate 
  sh:path csmd:dataset_endDate ;
  sh:order 7 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Last status update"@en, "Last status update"@de ;
. 

coscineSfb1394AtomisticSimulation:softwareIds 
  sh:path sfb1394:softwareIds ;
  sh:order 8 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software IDs"@en, "Software IDs"@de ;
. 

coscineSfb1394AtomisticSimulation:softwareEnvironmentId 
  sh:path sfb1394:softwareEnvironmentId ;
  sh:order 9 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Software environment ID"@en, "Software environment ID"@de ;
. 

coscineSfb1394AtomisticSimulation:sampleId 
  sh:path sfb1394:sampleId ;
  sh:order 10 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Sample ID"@en, "Sample ID"@de ;
. 

coscineSfb1394AtomisticSimulation:simulationType 
  sh:path sfb1394:simulationType ;
  sh:order 11 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Simulation type"@en, "Simulation type"@de ;
. 

coscineSfb1394AtomisticSimulation:jobSubmissionCommands 
  sh:path sfb1394:jobSubmissionCommands ;
  sh:order 12 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Job submission commands"@en, "Job submission commands"@de ;
. 

coscineSfb1394AtomisticSimulation:computerName 
  sh:path sfb1394:computerName ;
  sh:order 13 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Computer name"@en, "Computer name"@de ;
. 

coscineSfb1394AtomisticSimulation:node 
  sh:path sfb1394:node ;
  sh:order 14 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Node"@en, "Node"@de ;
. 

coscineSfb1394AtomisticSimulation:cpuInfo 
  sh:path sfb1394:cpuInfo ;
  sh:order 15 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "CPU info"@en, "CPU info"@de ;
. 

coscineSfb1394AtomisticSimulation:gpuInfo 
  sh:path sfb1394:gpuInfo ;
  sh:order 16 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "GPU info"@en, "GPU info"@de ;
. 

coscineSfb1394AtomisticSimulation:cores 
  sh:path sfb1394:cores ;
  sh:order 17 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Cores"@en, "Cores"@de ;
. 

coscineSfb1394AtomisticSimulation:requiredRam 
  sh:path sfb1394:requiredRam ;
  sh:order 18 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Required RAM [GB]"@en, "Required RAM [GB]"@de ;
  qudt:Unit unit:GigaBYTE ;
. 

coscineSfb1394AtomisticSimulation:runtime 
  sh:path sfb1394:runtime ;
  sh:order 19 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  sh:name "Runtime [h]"@en, "Runtime [h]"@de ;
  qudt:Unit unit:HR ;
. 

coscineSfb1394AtomisticSimulation:submissionTime 
  sh:path sfb1394:submissionTime ;
  sh:order 20 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Submission time"@en, "Submission time"@de ;
. 

coscineSfb1394AtomisticSimulation:stopTime 
  sh:path sfb1394:stopTime ;
  sh:order 21 ;
  sh:maxCount 1 ;
  sh:datatype xsd:date ;
  sh:name "Stop time"@en, "Stop time"@de ;
. 

coscineSfb1394AtomisticSimulation:comments 
  sh:path sfb1394:comments ;
  sh:order 22 ;
  sh:maxCount 1 ;
  sh:datatype xsd:string ;
  dash:singleLine false ;
  sh:name "Comments"@en, "Comments"@de ;
. 
